Subject: bug#76374: [email-masked] fails to build

From: Sharlatan Hellseher <[email-masked]>
Date: Mon, 17 Feb 2025 21:07:24 +0000

guix time-machine --commit=314cacc3588c0caf7b20c33772aeed6832e793df -- build swftools

--8<---------------cut here---------------start------------->8---
<...>
In file included from CommonOutputDev.cc:1:
popplercompat.h:49:12: fatal error: xpdf/config.h: No such file or directory
   49 |   #include "xpdf/config.h"
      |            ^~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [Makefile:47: CommonOutputDev.o] Error 1
make[2]: *** Waiting for unfinished jobs....
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  utf8.c -o utf8.o
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  png.c -o png.o
In file included from VectorGraphicOutputDev.cc:33:
popplercompat.h:49:12: fatal error: xpdf/config.h: No such file or directory
   49 |   #include "xpdf/config.h"
      |            ^~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [Makefile:49: VectorGraphicOutputDev.o] Error 1
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  jpeg.c -o jpeg.o
In file included from InfoOutputDev.h:24,
                 from CharOutputDev.h:9,
                 from FullBitmapOutputDev.h:28,
                 from FullBitmapOutputDev.cc:22:
popplercompat.h:49:12: fatal error: xpdf/config.h: No such file or directory
   49 |   #include "xpdf/config.h"
      |            ^~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [Makefile:59: FullBitmapOutputDev.o] Error 1
In file included from InfoOutputDev.h:24,
                 from CharOutputDev.h:9,
                 from BitmapOutputDev.h:28,
                 from BitmapOutputDev.cc:24:
popplercompat.h:49:12: fatal error: xpdf/config.h: No such file or directory
   49 |   #include "xpdf/config.h"
      |            ^~~~~~~~~~~~~~~
compilation terminated.
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  wav.c -o wav.o
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  mp3.c -o mp3.o
make[2]: *** [Makefile:55: BitmapOutputDev.o] Error 1
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  -DSWFTOOLS_DATADIR=\"/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/share/swftools\" os.c -o os.o
gcc -c -DHAVE_CONFIG_H   -I/gnu/store/2d23x6q3mg0dmak5kkl6cvf2yn61ssqj-swftools-0.9.2-1.772e55a/include -I/gnu/store/7ah6i5829f5ha6bdfzcj1gf21115xyyd-freetype-2.13.0/include/freetype2 -Ilame -Ilib/lame -fPIC -Wimplicit -Wreturn-type -Wno-write-strings -Wformat -O -fomit-fra
me-pointer  bitio.c -o bitio.o
In file included from CharOutputDev.cc:42:
popplercompat.h:49:12: fatal error: xpdf/config.h: No such file or directory
   49 |   #include "xpdf/config.h"
      |            ^~~~~~~~~~~~~~~
compilation terminated.
<...>
--8<---------------cut here---------------end--------------->8---

It might need more love as just bumping commit and adding xpdf did not
resolve the issue.

---
Oleg